StringIntMap Class Reference
Collaboration diagram for StringIntMap:
[legend]

## Public Member Functions

| StringIntMap (int startsize=0)
void | Grow (int newsize)
void | Clear ()
int | Length () const
int | Integer (int i) const
int | Integer (const ::String &key) const
void | SetInteger (int i, int value)
void | SetInteger (const ::String &key, int value)
int | Add (const ::String &s, int i)
int | Find (const ::String &s, int defaultValue)
int | Find (const ::String &s) const
int | FindStem (const ::String &stem) const
StringIntMap & | operator= (const StringIntMap &rhs)
const ::String & | operator[] (int i) const
::String & | operator[] (int i)
::String & | String (int i)
int | IncrementCount (const ::String &key)
int | DecrementCount (const ::String &key)
int | GetCount (const ::String &key) const
int | GetCount (int index) const
void | Delete (int index)

## Static Public Member Functions

static void * | CreateMap ()

## Static Public Attributes

static int | alloc = 8

## Protected Attributes

::String ** | strings
int * | integers
int | count
int | size

## Detailed Description

Definition at line 92 of file StringMap.h.

The documentation for this class was generated from the following files:

- general/StringMap.h
- general/StringMap.cpp